printk_timed_ratelimit
Prev | Kernel utility functions | Next

## Name

printk_timed_ratelimit — caller-controlled printk ratelimiting

## Synopsis

`bool printk_timed_ratelimit (` | unsigned long * | caller_jiffies,
| unsigned int | interval_msecs`)`;

## Arguments

`caller_jiffies`

  pointer to caller's state

`interval_msecs`

  minimum interval between prints

## Description

`printk_timed_ratelimit` returns true if more than `interval_msecs` milliseconds have elapsed since the last time `printk_timed_ratelimit` returned true.

Prev | Up | Next
console_conditional_schedule | Home | panic